> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /dw/articles/search

> Search Deutsche Welle content in any of its 29 searchable language editions: articles, live blogs, videos, audio episodes and image galleries with headline, teaser, full body text, lead image, publication date, category, region and program. Supports free text, content type, genre, priority, category, kicker, region, subject, program and publication date filters.

**Price:** 1 credit

**⚠️ Common errors:** 412: This DW language edition has no search index



## OpenAPI

````yaml /openapi/news-publishing.json post /api/dw/articles/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/dw/articles/search:
    post:
      tags:
        - /dw
      summary: /dw/articles/search
      description: >-
        Search Deutsche Welle content in any of its 29 searchable language
        editions: articles, live blogs, videos, audio episodes and image
        galleries with headline, teaser, full body text, lead image, publication
        date, category, region and program. Supports free text, content type,
        genre, priority, category, kicker, region, subject, program and
        publication date filters.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: This DW language edition has no search index
      operationId: __api_dw_articles_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DwArticlesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DwSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DwArticlesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          default: ''
        language:
          $ref: '#/components/schemas/DwLanguage'
          default: en
        count:
          type: integer
          maximum: 10000
          minimum: 1
        media_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/DwMediaType'
              type: array
            - type: 'null'
        genre:
          anyOf:
            - items:
                $ref: '#/components/schemas/DwGenre'
              type: array
            - type: 'null'
        priority:
          anyOf:
            - items:
                $ref: '#/components/schemas/DwPriority'
              type: array
            - type: 'null'
        subdomain:
          anyOf:
            - items:
                $ref: '#/components/schemas/DwSubdomain'
              type: array
            - type: 'null'
        category:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        kicker:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        region:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        subject:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        program:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        published_from:
          anyOf:
            - type: string
            - type: 'null'
        published_to:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/DwSearchSort'
          default: newest
      type: object
      required:
        - count
    DwSearchResult:
      properties:
        '@type':
          type: string
          default: DwSearchResult
        id:
          type: integer
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        teaser:
          anyOf:
            - type: string
            - type: 'null'
        short_teaser:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        image_caption:
          anyOf:
            - type: string
            - type: 'null'
        content_at:
          anyOf:
            - type: integer
            - type: 'null'
        kicker:
          anyOf:
            - type: string
            - type: 'null'
        priority:
          anyOf:
            - type: string
            - type: 'null'
        genre:
          anyOf:
            - type: string
            - type: 'null'
        subdomain:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        regions:
          items:
            type: string
          type: array
          default: []
        subjects:
          items:
            type: string
          type: array
          default: []
        programs:
          items:
            $ref: '#/components/schemas/DwSearchProgramRef'
          type: array
          default: []
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        formatted_duration:
          anyOf:
            - type: string
            - type: 'null'
        poster_image:
          anyOf:
            - type: string
            - type: 'null'
        playback_format:
          anyOf:
            - type: string
            - type: 'null'
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        image_captions:
          items:
            type: string
          type: array
          default: []
        is_live_video:
          anyOf:
            - type: boolean
            - type: 'null'
        is_liveblog_active:
          anyOf:
            - type: boolean
            - type: 'null'
        is_auto_delivery:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - headline
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DwLanguage:
      type: string
      enum:
        - de
        - en
        - ar
        - es
        - ru
        - fr
        - uk
        - tr
        - fa-ir
        - fa-af
        - ps
        - ur
        - hi
        - bn
        - pt-br
        - pt-002
        - pl
        - ro
        - sr
        - bs
        - hr
        - mk
        - sq
        - bg
        - el
        - zh
        - zh-hant
        - id
        - sw
        - ha
        - am
    DwMediaType:
      type: string
      enum:
        - ARTICLE
        - LIVEBLOG
        - LIVEBLOG_ELEMENT
        - VIDEO
        - AUDIO
        - IMAGE_GALLERY
        - PERSON
        - AUTO_TOPIC
        - PROGRAM
        - NAVIGATION
        - SERIES
    DwGenre:
      type: string
      enum:
        - NONE
        - NEWS
        - COMMENT
        - DOSSIER
        - INTERVIEW
        - COLUMN
    DwPriority:
      type: string
      enum:
        - NEUTRAL
        - HIGH
        - EXCLUSIVE
        - BREAKING_NEWS
    DwSubdomain:
      type: string
      enum:
        - NEWS
        - STREAMING
        - UNKNOWN
    DwSearchSort:
      type: string
      enum:
        - newest
        - oldest
        - relevance
    DwSearchProgramRef:
      properties:
        '@type':
          type: string
          default: DwSearchProgramRef
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          type: string
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````